package com.dao;

import com.entity.Capital;
import com.entity.Place;

import java.util.List;
import java.util.Map;


public interface PlaceMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Place place);

    int insertSelective(Place place);

    Place selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Place place);

    int updateByPrimaryKeyWithBLOBs(Place place);

    int updateByPrimaryKey(Place place);

    Place checkName(String name);

    //  查询所有信息
    List<Place> getAll(Map<String, Object> map);
    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<Place> getByPage(Map<String, Object> map);


}
